JAXBUtils.IdentifierType (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.jaxb

## Enum JAXBUtils.IdentifierType

- java.lang.Object
- - java.lang.Enum<JAXBUtils.IdentifierType>
  - - org.apache.cxf.common.jaxb.JAXBUtils.IdentifierType

- All Implemented Interfaces:
    `Serializable`, `Comparable<JAXBUtils.IdentifierType>`
  Enclosing class:
    JAXBUtils

      public static enum JAXBUtils.IdentifierType
      extends Enum<JAXBUtils.IdentifierType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLASS` |
    `CONSTANT` |
    `GETTER` |
    `INTERFACE` |
    `SETTER` |
    `VARIABLE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JAXBUtils.IdentifierType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JAXBUtils.IdentifierType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASS

          public static final JAXBUtils.IdentifierType CLASS

    - #### INTERFACE

          public static final JAXBUtils.IdentifierType INTERFACE

    - #### GETTER

          public static final JAXBUtils.IdentifierType GETTER

    - #### SETTER

          public static final JAXBUtils.IdentifierType SETTER

    - #### VARIABLE

          public static final JAXBUtils.IdentifierType VARIABLE

    - #### CONSTANT

          public static final JAXBUtils.IdentifierType CONSTANT

  - ### Method Detail

    - #### values

          public static JAXBUtils.IdentifierType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JAXBUtils.IdentifierType c : JAXBUtils.IdentifierType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JAXBUtils.IdentifierType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null